#
# spec file for package geany
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define prefer_gtk2 0

Name:           geany
Version:        1.27
Release:        1.1
Summary:        Small and lightweight IDE
License:        GPL-2.0+
Group:          Development/Tools/IDE
Url:            http://geany.org/
Source:         http://download.geany.org/%{name}-%{version}.tar.bz2
Source1:        %{name}-rpmlintrc
BuildRequires:  docutils
BuildRequires:  doxygen
BuildRequires:  fdupes
BuildRequires:  gcc-c++
%if %{prefer_gtk2}
BuildRequires:  gtk2-devel
%else
BuildRequires:  gtk3-devel
%endif
BuildRequires:  intltool
BuildRequires:  update-desktop-files
Recommends:     %{name}-lang
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%lang_package

%description
Geany is a small and lightweight integrated development environment.
It was developed to provide a small and fast IDE, which has only a
few dependencies from other packages. Another goal was to be as
independent as possible from a special Desktop Environment like KDE
or GNOME. So it is using only the GTK2 toolkit and therefore you need
only the GTK2 runtime libraries to run Geany.

%package devel
Summary:        Small and lightweight IDE -- Development Files
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}
%if %{prefer_gtk2}
Requires:       gtk2-devel
%else
Requires:       gtk3-devel
%endif

%description devel
Geany is a small and lightweight integrated development environment.
It was developed to provide a small and fast IDE, which has only a
few dependencies from other packages. Another goal was to be as
independent as possible from a special Desktop Environment like KDE
or GNOME. So it is using only the GTK2 toolkit and therefore you need
only the GTK2 runtime libraries to run Geany.

%package -n libgeany0
Summary:        Geany libraries
Group:          System/Libraries

%description -n libgeany0
Geany's core library

%package doc
Summary:        Geany documentation
Group:          Documentation/Other
Requires:       %{name} >= %{version}

%description doc
Geany's developers documentation

%prep
%setup -q

%build
%configure \
%if !(0%{?prefer_gtk2})
	--enable-gtk3 \
%endif
	--docdir=%{_defaultdocdir}/%{name}
make %{?jobs:-j%jobs}

%install
%makeinstall
# FIXME: add lb to filesystem?
%{__rm} %{buildroot}%{_datadir}/locale/lb/LC_MESSAGES/*
find %{buildroot} -type f -name "*.la" -delete -print
%suse_update_desktop_file %{name}
%find_lang %{name} %{?no_lang_C}
%fdupes %{buildroot}%{_datadir}

%post
%desktop_database_post
%icon_theme_cache_post
%icon_theme_cache_post Tango

%postun
%desktop_database_postun
%icon_theme_cache_postun
%icon_theme_cache_postun Tango

%post   -n libgeany0 -p /sbin/ldconfig

%postun -n libgeany0 -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc %{_mandir}/man1/geany.1.gz
%{_bindir}/geany
%{_datadir}/applications/geany.desktop
%{_datadir}/geany/
%{_datadir}/icons/hicolor/
%{_datadir}/icons/Tango/
%dir %{_libdir}/geany
%{_libdir}/geany/*.so

%files -n libgeany0
%defattr(-,root,root)
%{_libdir}/libgeany.so.*

%files doc
# AUTHORS, COPYING, README, etc. are installed during make install
%defattr(-,root,root)
%doc %{_defaultdocdir}/geany/

%files devel
%defattr(-,root,root)
%{_includedir}/geany/
%{_libdir}/pkgconfig/geany.pc
%{_libdir}/libgeany.so

%files lang -f %{name}.lang

%changelog
* Wed Apr 20 2016 cs@linux-administrator.com
- release 1.27
